Folders 3 endpoints

DELETE /folders/{folder_token}

Delete a Folder for CostReports.

operationId: Folders_deleteFolderForCostReports

Parameters

Name In Required Type Description
folder_token path required string

Responses

204
404

NotFound

DELETE /folders/{folder_token}
GET /folders/{folder_token}

Return a specific Folder for CostReports.

operationId: Folders_getSpecificFolder

Parameters

Name In Required Type Description
folder_token path required string

Responses

200
404

NotFound

GET /folders/{folder_token}
PUT /folders/{folder_token}

Update a Folder for CostReports.

operationId: Folders_updateFolderForCostReports

Parameters

Name In Required Type Description
folder_token path required string

Request Body

required
application/json
schema updateFolder
Property Type Required
title string optional
parent_folder_token string optional
saved_filter_tokens array optional

Responses

200
400

BadRequest

404

NotFound

PUT /folders/{folder_token}

Kubernetesefficiencyreports 3 endpoints

GET /kubernetes_efficiency_reports

Return all KubernetesEfficiencyReports.

operationId: KubernetesEfficiencyReports_getAll

Parameters

Name In Required Type Description
page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000.

Responses

200
GET /kubernetes_efficiency_reports
DELETE /kubernetes_efficiency_reports/{kubernetes_efficiency_report_token}

Delete a KubernetesEfficiencyReport.

operationId: KubernetesEfficiencyReports_deleteReport

Parameters

Name In Required Type Description
kubernetes_efficiency_report_token path required string

Responses

204
404

NotFound

DELETE /kubernetes_efficiency_reports/{kubernetes_efficiency_report_token}
GET /kubernetes_efficiency_reports/{kubernetes_efficiency_report_token}

Return a KubernetesEfficiencyReport.

operationId: KubernetesEfficiencyReports_getReport

Parameters

Name In Required Type Description
kubernetes_efficiency_report_token path required string

Responses

200
404

NotFound

GET /kubernetes_efficiency_reports/{kubernetes_efficiency_report_token}

Notifications 5 endpoints

GET /report_notifications

Return all ReportNotifications.

operationId: Notifications_getAllReportNotifications

Parameters

Name In Required Type Description
page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000.

Responses

200
GET /report_notifications
POST /report_notifications

Create a ReportNotification.

operationId: Notifications_createReportNotification

Request Body

required
application/json
schema createReportNotification
Property Type Required
title string required
change string required
frequency string required
user_tokens array optional
workspace_token string optional
cost_report_token string required
recipient_channels array optional

Responses

201
400

BadRequest

422

UnprocessableEntity

POST /report_notifications
DELETE /report_notifications/{report_notification_token}

Delete a ReportNotification.

operationId: Notifications_deleteReportNotification

Parameters

Name In Required Type Description
report_notification_token path required string

Responses

204
404

NotFound

DELETE /report_notifications/{report_notification_token}
GET /report_notifications/{report_notification_token}

Return a ReportNotification.

operationId: Notifications_getReportNotification

Parameters

Name In Required Type Description
report_notification_token path required string

Responses

200
404

NotFound

GET /report_notifications/{report_notification_token}
PUT /report_notifications/{report_notification_token}

Update a ReportNotification.

operationId: Notifications_updateReportNotification

Parameters

Name In Required Type Description
report_notification_token path required string

Request Body

required
application/json
schema updateReportNotification
Property Type Required
title string optional
change string optional
frequency string optional
user_tokens array optional
cost_report_token string optional
recipient_channels array optional

Responses

200
400

BadRequest

404

NotFound

PUT /report_notifications/{report_notification_token}

Ping 1 endpoints

GET /ping

This is a health check endpoint that can be used to determine Vantage API healthiness. It will return 200 if everything is running smoothly.

operationId: Ping_healthCheck

Responses

200

This is a health check endpoint that can be used to determine Vantage API healthiness. It will return 200 if everything is running smoothly.

GET /ping

Prices 4 endpoints

GET /products

Return available Products for a Service. For example, with a Provider of AWS and a Service of EC2, Products will be a list of all EC2 Instances. By default, this endpoint returns all Products across all Services and Providers but has optional query parameters for filtering listed below.

operationId: Prices_listAvailableProducts

Parameters

Name In Required Type Description
provider_id query optional string

Query by Provider to list all Products across all Services for a Provider. e.g. aws

service_id query optional string

Query by Service to list all Products for a specific provider service. e.g. aws-ec2

name query optional string

Query by name of the Product to see a list of products which match that name. e.g. m5a.16xlarge

page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000

Responses

200
GET /products
GET /products/{id}

Return a product

operationId: Prices_getProduct

Parameters

Name In Required Type Description
id path required string

Responses

200
GET /products/{id}
GET /products/{product_id}/prices

Return available Prices across all Regions for a Product.

operationId: Prices_getProductPrices

Parameters

Name In Required Type Description
product_id path required string
page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000

Responses

200
GET /products/{product_id}/prices
GET /products/{product_id}/prices/{id}

Returns a price

operationId: Prices_getProductPrice

Parameters

Name In Required Type Description
product_id path required string
id path required string

Responses

200
GET /products/{product_id}/prices/{id}

Resourcereports 3 endpoints

GET /resource_reports

Return all ResourceReports.

operationId: ResourceReports_getAll

Parameters

Name In Required Type Description
page query optional integer

The page of results to return.

limit query optional integer

The number of results to return. The maximum is 1000.

Responses

200
GET /resource_reports
DELETE /resource_reports/{resource_report_token}

Delete a ResourceReport.

operationId: ResourceReports_removeReport

Parameters

Name In Required Type Description
resource_report_token path required string

Responses

204
404

NotFound

DELETE /resource_reports/{resource_report_token}
GET /resource_reports/{resource_report_token}

Return a ResourceReport.

operationId: ResourceReports_getResourceReport

Parameters

Name In Required Type Description
resource_report_token path required string

Responses

200
404

NotFound

GET /resource_reports/{resource_report_token}

Segments 5 endpoints

GET /segments

Return all Segments.

operationId: Segments_list

Parameters

Name In Required Type Description
page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000.

Responses

200
GET /segments
POST /segments

Create a Segment.

operationId: Segments_createSegment

Request Body

required
application/json
schema createSegment
Property Type Required
title string required
filter string optional
priority integer optional
description string optional
report_settings object optional
amortize boolean optional
include_tax boolean optional
include_credits boolean optional
include_refunds boolean optional
include_discounts boolean optional
workspace_token string optional
track_unallocated boolean optional
parent_segment_token string optional

Responses

201
400

BadRequest

422

UnprocessableEntity

POST /segments
DELETE /segments/{segment_token}

Delete a Segment.

operationId: Segments_removeSegment

Parameters

Name In Required Type Description
segment_token path required string

Responses

204
404

NotFound

DELETE /segments/{segment_token}
GET /segments/{segment_token}

Return a Segment.

operationId: Segments_getSegmentById

Parameters

Name In Required Type Description
segment_token path required string

Responses

200
404

NotFound

GET /segments/{segment_token}
PUT /segments/{segment_token}

Update a Segment.

operationId: Segments_updateSegmentById

Parameters

Name In Required Type Description
segment_token path required string

Request Body

required
application/json
schema updateSegment
Property Type Required
title string optional
filter string optional
priority integer optional
description string optional
report_settings object optional
amortize boolean optional
include_tax boolean optional
include_credits boolean optional
include_refunds boolean optional
include_discounts boolean optional
track_unallocated boolean optional
parent_segment_token string optional

Responses

200
400

BadRequest

404

NotFound

PUT /segments/{segment_token}

Teams 5 endpoints

GET /teams

Return all Teams that the current API token has access to.

operationId: Teams_listAccessible

Parameters

Name In Required Type Description
page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000.

Responses

200
GET /teams
POST /teams

Create a new Team.

operationId: Teams_createNewTeam

Request Body

required
application/json
schema createTeam
Property Type Required
name string required
role string optional
description string optional
user_emails array optional
user_tokens array optional
workspace_tokens array optional

Responses

201
400

BadRequest

403

Forbidden

404

NotFound

422

UnprocessableEntity

POST /teams
DELETE /teams/{team_token}

Delete a Team.

operationId: Teams_removeTeam

Parameters

Name In Required Type Description
team_token path required string

Responses

204
400

BadRequest

403

Forbidden

404

NotFound

422

UnprocessableEntity

DELETE /teams/{team_token}
GET /teams/{team_token}

Return a specific Team.

operationId: Teams_getSpecificTeam

Parameters

Name In Required Type Description
team_token path required string

Responses

200
404

NotFound

GET /teams/{team_token}
PUT /teams/{team_token}

Update a Team.

operationId: Teams_updateTeam

Parameters

Name In Required Type Description
team_token path required string

Request Body

required
application/json
schema updateTeam
Property Type Required
name string optional
role string optional
description string optional
user_emails array optional
user_tokens array optional
workspace_tokens array optional

Responses

200
400

BadRequest

403

Forbidden

404

NotFound

422

UnprocessableEntity

PUT /teams/{team_token}

Users 2 endpoints

GET /users

Return all Users that the current API token has access to.

operationId: Users_listAccessible

Parameters

Name In Required Type Description
page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000.

Responses

200
403

Forbidden

GET /users
GET /users/{user_token}

Return a specific User.

operationId: Users_getSpecificUser

Parameters

Name In Required Type Description
user_token path required string

Responses

200
404

NotFound

GET /users/{user_token}

Virtualtags 5 endpoints

GET /virtual_tag_configs

Return all VirtualTagConfigs that the current API token has access to.

operationId: VirtualTags_getAll

Responses

200
GET /virtual_tag_configs
POST /virtual_tag_configs

Create a new VirtualTagConfig.

operationId: VirtualTags_createNewConfig

Request Body

required
application/json
schema createVirtualTagConfig
Property Type Required
key string required
values array optional
name string required
filter string optional
overridable boolean required
backfill_until string optional

Responses

201
400

BadRequest

403

Forbidden

404

NotFound

422

UnprocessableEntity

POST /virtual_tag_configs
DELETE /virtual_tag_configs/{virtual_tag_config_token}

Deletes an existing VirtualTagConfig.

operationId: VirtualTags_deleteConfig

Parameters

Name In Required Type Description
virtual_tag_config_token path required string

Responses

204
403

Forbidden

404

NotFound

DELETE /virtual_tag_configs/{virtual_tag_config_token}
GET /virtual_tag_configs/{virtual_tag_config_token}

Return a specific VirtualTagConfig.

operationId: VirtualTags_getSpecificConfig

Parameters

Name In Required Type Description
virtual_tag_config_token path required string

Responses

200
404

NotFound

GET /virtual_tag_configs/{virtual_tag_config_token}
PUT /virtual_tag_configs/{virtual_tag_config_token}

Updates an existing VirtualTagConfig.

operationId: VirtualTags_updateConfig

Parameters

Name In Required Type Description
virtual_tag_config_token path required string

Request Body

required
application/json
schema updateVirtualTagConfig
Property Type Required
key string optional
values array optional
name string required
filter string optional
overridable boolean optional
backfill_until string optional

Responses

200
400

BadRequest

403

Forbidden

404

NotFound

422

UnprocessableEntity

PUT /virtual_tag_configs/{virtual_tag_config_token}

Workspaces 2 endpoints

GET /workspaces

Return all Workspaces that the current API token has access to.

operationId: Workspaces_listAccessible

Parameters

Name In Required Type Description
page query optional integer

The page of results to return.

limit query optional integer

The amount of results to return. The maximum is 1000.

Responses

200
GET /workspaces
GET /workspaces/{workspace_token}

Return a specific Workspace.

operationId: Workspaces_getSpecificWorkspace

Parameters

Name In Required Type Description
workspace_token path required string

Responses

200
404

NotFound

GET /workspaces/{workspace_token}